## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ElemElement Class Reference

Inheritance diagram for ElemElement:

[legend]
Collaboration diagram for ElemElement:

[legend]
List of all members.

## Public Member Functions

- ElemElement (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:element" element.
- virtual ~ElemElement ()
- virtual const XalanDOMString & getElementName () const
    Get a string for the name of the element.
- virtual const ElemTemplateElement * startElement (StylesheetExecutionContext &executionContext) const
    Completes "pre-processing" before any sub-elements are invoked (i.e.
- virtual void endElement (StylesheetExecutionContext &executionContext) const
    Completes "post-processing" afer any sub-elements are invoked (i.e.
- virtual bool executeChildElement (StylesheetExecutionContext &executionContext, const ElemTemplateElement *element) const
    Filters sub-elements that should be executed.

## Protected Member Functions

- virtual void namespacesPostConstruction (StylesheetConstructionContext &constructionContext, const NamespacesHandler &theParentHandler, NamespacesHandler &theHandler)
    Called after construction is completed.

## Constructor & Destructor Documentation

ElemElement::ElemElement | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | const AttributeListType & | atts,
|  | int | lineNumber,
|  | int | columnNumber
| ) |

  | Construct an object corresponding to an "xsl:element" element. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

virtual ElemElement::~ElemElement | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void ElemElement::endElement | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

  | Completes "post-processing" afer any sub-elements are invoked (i.e. children, attribute sets and templates). If there are no sub-elements it does nothing Parameters:
  executionContext | context to execute this element
Reimplemented from ElemUse.

virtual bool ElemElement::executeChildElement | ( | StylesheetExecutionContext & | executionContext,
|  | const ElemTemplateElement * | element
| ) | const`[virtual]`

  | Filters sub-elements that should be executed. Parameters:
  executionContext | context to execute element
  element | the element to be executed
Returns: true if element should be executed, false otherwise Reimplemented from ElemTemplateElement.

virtual const XalanDOMString& ElemElement::getElementName | ( |  | ) | const`[virtual]`

| Get a string for the name of the element. Useful for debugging purposes, and error reporting. Returns: A string containing the name of the element. Reimplemented from ElemUse.

virtual void ElemElement::namespacesPostConstruction | ( | StylesheetConstructionContext & | constructionContext,
|  | const NamespacesHandler & | theParentHandler,
|  | NamespacesHandler & | theHandler
| ) | `[protected, virtual]`

| Called after construction is completed. This is a hook for deriving classes to handle post-construction with the instances HamespaceHandler instance, which is otherwise only available through a const accessor. Reimplemented from ElemTemplateElement.

virtual const ElemTemplateElement* ElemElement::startElement | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

  | Completes "pre-processing" before any sub-elements are invoked (i.e. children, attribute sets and templates). If there are no sub-elements it executes the primary function of the element. Parameters:
  executionContext | context to execute this element
Reimplemented from ElemUse.

The documentation for this class was generated from the following file:

- ElemElement.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.